Bug 452635 - (CVE-2008-2827) CVE-2008-2827 perl: insecure use of chmod in rmtree
CVE-2008-2827 perl: insecure use of chmod in rmtree
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20080621,...
: Security
Depends On: 452641 452642
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 03:37 EDT by Tomas Hoger
Modified: 2008-07-28 02:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.10.0-27.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 01:55:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Test case extracted from CPAN bug report (355 bytes, text/plain)
2008-06-24 04:02 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2008-06-24 03:37:15 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2827 to the following vulnerability:

The rmtree function in lib/File/Path.pm in Perl 5.10 does not properly
check permissions before performing a chmod, which allows local users
to modify the permissions of arbitrary files via a symlink attack, a
different vulnerability than CVE-2005-0448 and CVE-2004-0452.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487319
http://rt.cpan.org/Public/Bug/Display.html?id=36982
Comment 1 Tomas Hoger 2008-06-24 04:02:03 EDT
Created attachment 310113 [details]
Test case extracted from CPAN bug report
Comment 2 Tomas Hoger 2008-06-24 04:04:58 EDT
This issue did not affect the versions of perl as shipped with Red Hat
Enterprise Linux 2.1, 3, 4, or 5, Red Hat Application Stack 1 and Fedora 8.
Comment 3 Tomas Hoger 2008-06-24 04:05:20 EDT
Proposed patch in Debian BTS:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487319#32
Comment 5 Marcela Mašláňová 2008-06-24 09:31:23 EDT
Proposed patch fix this issue. It was tested on CPAN bug report.
Comment 6 Fedora Update System 2008-06-25 04:58:51 EDT
perl-5.10.0-27.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-26 04:33:20 EDT
perl-5.10.0-27.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Red Hat Product Security 2008-06-26 04:38:11 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-5739


Note You need to log in before you can comment on or make changes to this bug.